SeExpr

Signals | Public Member Functions | Public Attributes | Protected Member Functions | Private Slots | Private Attributes | List of all members
ExprShortTextEdit Class Reference

`#include <ExprShortEdit.h>`

Inheritance diagram for ExprShortTextEdit:

## Signals
void | editingFinished ()

## Public Member Functions
| ExprShortTextEdit (QWidget *parent)

## Public Attributes
QCompleter * | completer
ExprCompletionModel * | completionModel

## Protected Member Functions
void | showTip (const QString &string)
void | hideTip ()
void | paintEvent (QPaintEvent *e)
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | focusInEvent (QFocusEvent *e)
virtual void | focusOutEvent (QFocusEvent *e)
virtual void | mousePressEvent (QMouseEvent *event)
virtual void | mouseDoubleClickEvent (QMouseEvent *event)
virtual void | wheelEvent (QWheelEvent *e)
void | setColor (bool editing)
void | finishEdit ()

## Private Slots
void | insertCompletion (const QString &completion)

## Private Attributes
ExprHighlighter * | highlighter
bool | editing
QString | savedText
ExprPopupDoc * | _tip
QStyle * | lastStyleForHighlighter

## Detailed Description

Definition at line 120 of file ExprShortEdit.h.

## Constructor & Destructor Documentation

## ◆ ExprShortTextEdit()

ExprShortTextEdit::ExprShortTextEdit | ( | QWidget * | parent | ) |

Definition at line 244 of file ExprShortEdit.cpp.

References completer, completionModel, ExprHighlighter::fixStyle(), highlighter, insertCompletion(), and lastStyleForHighlighter.

## Member Function Documentation

## ◆ editingFinished

void ExprShortTextEdit::editingFinished | ( |  | ) |
| signal

Referenced by finishEdit().

## ◆ finishEdit()

void ExprShortTextEdit::finishEdit | ( |  | ) |
| protected

Definition at line 432 of file ExprShortEdit.cpp.

References editing, editingFinished(), and setColor().

Referenced by focusOutEvent(), and keyPressEvent().

## ◆ focusInEvent()

void ExprShortTextEdit::focusInEvent | ( | QFocusEvent * | e | ) |
| protected virtual

Definition at line 269 of file ExprShortEdit.cpp.

References completer.

## ◆ focusOutEvent()

void ExprShortTextEdit::focusOutEvent | ( | QFocusEvent * | e | ) |
| protected virtual

Definition at line 275 of file ExprShortEdit.cpp.

References finishEdit(), hideTip(), and setColor().

## ◆ hideTip()

void ExprShortTextEdit::hideTip | ( |  | ) |
| protected

Definition at line 417 of file ExprShortEdit.cpp.

References _tip.

Referenced by focusOutEvent(), keyPressEvent(), mouseDoubleClickEvent(), and mousePressEvent().

## ◆ insertCompletion

void ExprShortTextEdit::insertCompletion | ( | const QString & | completion | ) |
| private slot

Definition at line 421 of file ExprShortEdit.cpp.

References completer.

Referenced by ExprShortTextEdit().

## ◆ keyPressEvent()

void ExprShortTextEdit::keyPressEvent | ( | QKeyEvent * | e | ) |
| protected virtual

Definition at line 305 of file ExprShortEdit.cpp.

References completer, completionModel, editing, finishEdit(), ExprCompletionModel::getDocString(), hideTip(), index(), savedText, setColor(), and showTip().

## ◆ mouseDoubleClickEvent()

void ExprShortTextEdit::mouseDoubleClickEvent | ( | QMouseEvent * | event | ) |
| protected virtual

Definition at line 291 of file ExprShortEdit.cpp.

References hideTip().

## ◆ mousePressEvent()

void ExprShortTextEdit::mousePressEvent | ( | QMouseEvent * | event | ) |
| protected virtual

Definition at line 286 of file ExprShortEdit.cpp.

References hideTip().

## ◆ paintEvent()

void ExprShortTextEdit::paintEvent | ( | QPaintEvent * | e | ) |
| protected

Definition at line 296 of file ExprShortEdit.cpp.

References ExprHighlighter::fixStyle(), highlighter, and lastStyleForHighlighter.

## ◆ setColor()

void ExprShortTextEdit::setColor | ( | bool | editing | ) |
| protected

Definition at line 438 of file ExprShortEdit.cpp.

References editing.

Referenced by finishEdit(), focusOutEvent(), and keyPressEvent().

## ◆ showTip()

void ExprShortTextEdit::showTip | ( | const QString & | string | ) |
| protected

Definition at line 401 of file ExprShortEdit.cpp.

References _tip.

Referenced by keyPressEvent().

## ◆ wheelEvent()

virtual void ExprShortTextEdit::wheelEvent | ( | QWheelEvent * | e | ) |
| inline protected virtual

Definition at line 146 of file ExprShortEdit.h.

## Member Data Documentation

## ◆ _tip

ExprPopupDoc* ExprShortTextEdit::_tip
| private

Definition at line 127 of file ExprShortEdit.h.

Referenced by hideTip(), and showTip().

## ◆ completer

QCompleter* ExprShortTextEdit::completer

Definition at line 131 of file ExprShortEdit.h.

Referenced by ExprShortTextEdit(), focusInEvent(), insertCompletion(), keyPressEvent(), ExprShortEdit::rebuildControls(), and ExprShortEdit::updateCompleter().

## ◆ completionModel

ExprCompletionModel* ExprShortTextEdit::completionModel

Definition at line 132 of file ExprShortEdit.h.

Referenced by ExprShortEdit::clearExtraCompleters(), ExprShortTextEdit(), keyPressEvent(), ExprShortEdit::rebuildControls(), ExprShortEdit::registerExtraFunction(), ExprShortEdit::registerExtraVariable(), ExprShortEdit::showDetails(), and ExprShortEdit::updateCompleter().

## ◆ editing

bool ExprShortTextEdit::editing
| private

Definition at line 125 of file ExprShortEdit.h.

Referenced by finishEdit(), keyPressEvent(), and setColor().

## ◆ highlighter

ExprHighlighter* ExprShortTextEdit::highlighter
| private

Definition at line 121 of file ExprShortEdit.h.

Referenced by ExprShortTextEdit(), and paintEvent().

## ◆ lastStyleForHighlighter

QStyle* ExprShortTextEdit::lastStyleForHighlighter
| private

Definition at line 128 of file ExprShortEdit.h.

Referenced by ExprShortTextEdit(), and paintEvent().

## ◆ savedText

QString ExprShortTextEdit::savedText
| private

Definition at line 126 of file ExprShortEdit.h.

Referenced by keyPressEvent().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprShortEdit.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprShortEdit.cpp